# Generated by Django 4.2.11 on 2024-07-28 21:17

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):
    dependencies = [
        ("sinp_nomenclatures", "0001_initial"),
        ("sights", "0011_countdetail_bio_status"),
    ]

    operations = [
        migrations.AddField(
            model_name="countdetail",
            name="behaviour",
            field=models.ForeignKey(
                blank=True,
                limit_choices_to={"type__code": "comportmnt"},
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="countdetail_behaviour",
                to="sinp_nomenclatures.nomenclature",
                verbose_name="Comportement",
            ),
        ),
        migrations.AlterField(
            model_name="countdetail",
            name="bio_status",
            field=models.ForeignKey(
                blank=True,
                limit_choices_to={"type__code": "etatBio"},
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="countdetail_bio_status",
                to="sinp_nomenclatures.nomenclature",
                verbose_name="Etat biologique",
            ),
        ),
    ]
